### Function

# ECal util_check_may_remove_all

since: 3.58

#### Declaration [src]

    gboolean
    e_cal_util_check_may_remove_all (
      ECalComponent* comp,
      GSList* detached_instances,
      const ICalTime* rid,
      ECalObjModType mod,
      ECalRecurResolveTimezoneCb tz_cb,
      gpointer tz_cb_data
    )

#### Description [src]

Checks whether removing the instance with recurrence ID `rid` from the series defined in the `icalcomp` using the `mod` mode is equal to remove all events.

Available since: 3.58

#### Parameters

`comp`

  Type: `ECalComponent`

  An `ECalComponent`.

  The data is owned by the caller of the function.

`detached_instances`

  Type: A list of `None`

  A `GSList` of detached instances as `ECalComponent`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`rid`

  Type: `None`

  Recurrence ID to remove, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`mod`

  Type: `ECalObjModType`

  An `ECalObjModType` removal mode.

`tz_cb`

  Type: `ECalRecurResolveTimezoneCb`

  The `ECalRecurResolveTimezoneCb` to call.

`tz_cb_data`

  Type: `gpointer`

  User data to be passed to the `tz_cb` callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE`, when the whole series should be removed.